package com.loit.common.utils.freemarker;

import freemarker.template.Configuration;
import freemarker.template.DefaultObjectWrapper;
import freemarker.template.Template;
import lombok.extern.slf4j.Slf4j;

import java.io.File;
import java.io.StringWriter;
import java.util.Map;

@Slf4j
public class FreeMarkerUtils {


    public static String process(String templateFileName, Map<String, ?> model) {
        try {

            Configuration cfg = new Configuration(Configuration.VERSION_2_3_23);
            cfg.setDirectoryForTemplateLoading(new File("F:\\9Git140\\loit-build-common\\loit-build-component\\loit-build-deploy-env\\src\\main\\resources\\template\\"));
            cfg.setObjectWrapper(new DefaultObjectWrapper(Configuration.VERSION_2_3_23));
            Template temp = cfg.getTemplate(templateFileName);

            StringWriter out = new StringWriter();
            temp.process(model, out);
            String result = out.toString();
            return result;

        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }

        return "";
    }

}
