
    upstream sone.${serviceNameSub}.gray.${backendFrontType} {
        least_conn;
<#list grayList as gray>
        server ${gray} weight=5 max_fails=5 fail_timeout=30s;
</#list>
    }

    upstream sone.${serviceNameSub}.normal.${backendFrontType} {
        least_conn;
<#list normalList as normal>
        server ${normal} weight=5 max_fails=5 fail_timeout=30s;
</#list>
    }

    upstream sone.${serviceNameSub}.all.${backendFrontType} {
<#list grayList as gray>
        server ${gray} weight=5 max_fails=5 fail_timeout=30s;
</#list>
<#list normalList as normal>
        server ${normal} weight=5 max_fails=5 fail_timeout=30s;
</#list>
    }


        location /${serviceNameAbb} {
            set $gray_url "";
            set $gray_url $cookie_${serviceNameCookie}_fronturl;
            proxy_set_header HOST $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

            if ($gray_url = "none") {
              return 404;
            }

            if ($gray_url = "normal"){
              proxy_pass http://sone.${serviceNameSub}.normal.${backendFrontType};
            }

            if ($gray_url = "gray"){
              proxy_pass http://sone.${serviceNameSub}.gray.${backendFrontType};
            }

            if ($gray_url ~* ^(.*?)\.(.*?)\.(.*?)$){
              proxy_pass http://$gray_url;
            }

            if ($gray_url = ''){
              proxy_pass http://sone.${serviceNameSub}.all.${backendFrontType};
            }

        }

