## Build & Test

For using Leaf-Segment key generator, this SQL should executed in MySQL first:
```$mysql
CREATE DATABASE leaf;

CREATE TABLE `leaf_alloc` (
  `biz_tag` varchar(128)  NOT NULL DEFAULT '', -- your biz unique name
  `max_id` bigint(20) NOT NULL DEFAULT '1',
  `step` int(11) NOT NULL,
  `description` varchar(256)  DEFAULT NULL,
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`biz_tag`)
) ENGINE=InnoDB;

insert into leaf_alloc(biz_tag, max_id, step, description) values('sstest', 1, 2000, 'Test leaf Segment Mode Get Id');
```

## Examples

In tests of this project, you can see:
1. Configuration parameters in `leaf.properties`;
2. Example codes in test classes.

## Using in ShardingSphere config file

Step1: You just need refer dependency in you pom.xml:
```$xml
    <dependency>
        <groupId>io.opensharding</groupId>
        <artifactId>sharding-keygen-leaf</artifactId>
        <version>5.0.0-RC1-SNAPSHOT</version>
    </dependency>
```

Step2: And then config this parameter in your rule,
Using Leaf Segment via Database:
```$yaml
keyGenerator: LEAF_SEGMENT
```

Or using Leaf Snowflake via zookeeper:
```$yaml
keyGenerator: LEAF_SNOWFLAKE
```
